<?php

Class blog {

    /*
     * Blog Ekleme Fonksiyonu*/
    public function blog_ekle($blog_baslik,$blog_seo_etiket,$blog_seo_aciklama,$blog_text,$anasayfa_resim,$tarih_ayari,$saat_ayari){
        error_reporting(0);
        global $db;
        $sayfakayit = $db->select('blog')
            ->from('count(blog_id) as total')
            ->total();
        $uploaddir = '../upload/blog'; // upload edilecek klasör
        $img = getimagesize($_FILES['anasayfa_resim']['tmp_name']);
        $ext = explode('/', $img['mime']);
        $new_name = sef_link($blog_baslik);
        $uploadfile = $new_name . '.' . $ext[1];
        //Dosya yeni adıyla dosyalar klasörüne kaydedilecek
        if(move_uploaded_file($_FILES['anasayfa_resim']['tmp_name'], $uploaddir . '/' . $uploadfile)) {
            // Veritabanına Kaydet
            $blog_kaydet = $db->insert('blog')
                ->set(array(
                   'blog_baslik'          => $blog_baslik,
                   'blog_seflink'         => sef_link($blog_baslik),
                   'blog_seo_etiket'      => $blog_seo_etiket,
                   'blog_seo_aciklama'    => $blog_seo_aciklama,
                   'blog_text'            => $blog_text,
                   'anasayfa_resim'           => $uploadfile,
                   'blog_tarih'           => date('d/m/Y'),
                   'tarih_zamanlama'      => $tarih_ayari,
                   'saat_zamanlama'       => $saat_ayari,
                   'aktifkontrol'       => 'aktif',
                   'sira'               => ($sayfakayit+1),
                   'olusturma_tarihi'       => date('Y-m-d'),
                   'duzenleme_tarihi'       => date('Y-m-d'),
                   'blog_okunma'          => 0
                ));
            if($blog_kaydet){
                echo '<div class="alert alert-success">
                    <strong>Tebrikler!</strong> Blog Başarıyla Eklendi.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=blog&ekle',1);
            }else{
                echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=blog&ekle',1);
            }
        }else{
            $blog_kaydet = $db->insert('blog')
                ->set(array(
                    'blog_baslik'          => $blog_baslik,
                    'blog_seflink'         => sef_link($blog_baslik),
                    'blog_seo_etiket'      => $blog_seo_etiket,
                    'blog_seo_aciklama'    => $blog_seo_aciklama,
                    'blog_text'            => $blog_text,
                    'blog_tarih'           => date('d/m/Y'),
                    'tarih_zamanlama'      => $tarih_ayari,
                    'saat_zamanlama'       => $saat_ayari,
                    'aktifkontrol'          => 'aktif',
                    'olusturma_tarihi'       => date('Y-m-d'),
                    'duzenleme_tarihi'       => date('Y-m-d'),
                    'blog_okunma'          => 0
                ));
            echo '<div class="alert alert-success">
                    <strong>Tebrikler!</strong> Blog Başarıyla Eklendi.Yönlendiriliyorsunuz.
                </div>';
            git('index.php?do=blog',1);
        }
    }

    /*
     * İd Değerine Göre Blog Bilgilerine Erişme*/
    public function blog_tekil($gelen,$par){
        global $db;
        $blog = $db->select('blog')
            ->where('blog_id',$gelen)
            ->run(true);
        return $blog[$par];
    }

    /*
     * Blog Düzenleme Fonksiyonu*/
    public function blog_duzenle($blog_baslik,$blog_seo_etiket,$blog_seo_aciklama,$blog_text,$anasayfa_resim,$tarih_ayari,$saat_ayari,$gelen){
        error_reporting(0);
        global $db;
        $uploaddir  = '../upload/blog'; // upload edilecek klasör
        $img        = getimagesize($_FILES['anasayfa_resim']['tmp_name']);
        $ext        = explode('/', $img['mime']);
        $new_name   = sef_link($blog_baslik);
        $uploadfile = $new_name . '.' . $ext[1];
        if(move_uploaded_file($_FILES['anasayfa_resim']['tmp_name'], $uploaddir . '/' . $uploadfile)) {
            $blog_kaydet = $db->update('blog')
                ->where('blog_id',$gelen)
                ->set(array(
                    'blog_baslik'          => $blog_baslik,
                    'blog_seflink'         => sef_link($blog_baslik),
                    'blog_seo_etiket'      => $blog_seo_etiket,
                    'blog_seo_aciklama'    => $blog_seo_aciklama,
                    'blog_text'            => $blog_text,
                    'tarih_zamanlama'      => $tarih_ayari,
                    'saat_zamanlama'       => $saat_ayari,
                    'duzenleme_tarihi'       =>  date('Y-m-d'),
                    'anasayfa_resim'       => $uploadfile
                ));
            if($blog_kaydet){
                echo '<div class="alert alert-success">
                    <strong>Tebrikler!</strong> Blog Başarıyla Güncellendi.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=blog',1);
            }else{
                echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=blog',1);
            }
        }else{
            $blog_kaydet_resimsiz = $db->update('blog')
                ->where('blog_id',$gelen)
                ->set(array(
                    'blog_baslik'          => $blog_baslik,
                    'blog_seflink'         => sef_link($blog_baslik),
                    'blog_seo_etiket'      => $blog_seo_etiket,
                    'blog_seo_aciklama'    => $blog_seo_aciklama,
                    'tarih_zamanlama'      => $tarih_ayari,
                    'saat_zamanlama'       => $saat_ayari,
                    'duzenleme_tarihi'       =>  date('Y-m-d'),
                    'blog_text'            => $blog_text
                ));
            echo '<div class="alert alert-success">
                    <strong>Tebrikler!</strong> Blog Başarıyla Güncellendi.Yönlendiriliyorsunuz.
                </div>';
            git('index.php?do=blog',1);
        }
    }

    /*
     * Blog Listeleme Fonksiyonu*/
    public function blog_listele(){
        global $db;
        $dataList = array();
        $rowCount = 0;
        $blog_listele = $db->select('blog')
            ->orderby('blog_id','DESC')
            ->run();
        foreach($blog_listele as $blog){
            $dataList[$rowCount] = array(
                'blog_baslik' => $blog['blog_baslik'],
                'anasayfa_resim'  => $blog['anasayfa_resim'],
                'blog_tarih'  => $blog['blog_tarih'],
                'blog_okunma' => $blog['blog_okunma'],
                'tarih_zamanlama' => $blog['tarih_zamanlama'],
                'saat_zamanlama' => $blog['saat_zamanlama'],
                'blog_id'     => $blog['blog_id']
            );
            $rowCount++;
        }
        return $dataList;
    }


    /*
     * Blog Silme*/
    public function blog_sil($gelen){
        global $db;
        $blog_sil = $db->delete('blog')
            ->where('blog_id',$gelen)
            ->done();
      return $blog_sil;
    }



}


?>
